## TestVehicle TestVehicle — Vehicles |

## Synopsis

    GType               test_vehicle_get_type               (void);
    #define             TEST_TYPE_VEHICLE
    enum                TestVehicle;

## Description

A test enumeration.

## Details

### test_vehicle_get_type ()

    GType               test_vehicle_get_type               (void);

### TEST_TYPE_VEHICLE

    #define TEST_TYPE_VEHICLE (test_vehicle_get_type ())

### enum TestVehicle

    typedef enum
    {
      TEST_VEHICLE_SPORT_UTILITY_VEHICLE = 100,
      TEST_VEHICLE_CONVERTIBLE = 110,
      TEST_VEHICLE_TRUCK = 111,
      TEST_VEHICLE_PATRIOT = 112,
      TEST_VEHICLE_STATION_WAGON = 120,
    } TestVehicle;

A test enumeration.

`TEST_VEHICLE_SPORT_UTILITY_VEHICLE` | A SUV
`TEST_VEHICLE_CONVERTIBLE` | A car without a top
`TEST_VEHICLE_TRUCK` | FIXME: not documented.
`TEST_VEHICLE_PATRIOT` | As known from the GTA games
`TEST_VEHICLE_STATION_WAGON` | Old skool